API Explorer 936 endpoints

Update ATM Services

PUT /obp/v7.0.0/banks/BANK_ID/atms/ATM_ID/services

OBPv4.0.0-updateAtmServices Roles: CanUpdateAtm(per bank),CanUpdateAtmAtAnyBank ATM

Update ATM Services.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

ATM_ID: atme-9a0f-4bfa-b30b-9003aa467f51

BANK_ID: gh.29.uk

JSON response body fields (2)
atm_id
atme-9a0f-4bfa-b30b-9003aa467f51
services
[{"CY":["PS_010","PS_020","PS_03C","PS_04C"]}]
Example request body
{
  "services": [
    "ATBP",
    "ATBA"
  ]
}
Example success response
{
  "atm_id": "atme-9a0f-4bfa-b30b-9003aa467f51",
  "services": [
    "ATBP",
    "ATBA"
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 updateAtmServices Originally /obp/v4.0.0/banks/BANK_ID/atms/ATM_ID/services